# VCardOutputter (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Class VCardOutputter

- java.lang.Object
- - net.fortuna.ical4j.data.AbstractOutputter
  - - net.fortuna.ical4j.vcard.VCardOutputter

    public class VCardOutputter
    extends net.fortuna.ical4j.data.AbstractOutputter

Generates vCard object data streams. $Id$ Created on: 29/12/2008

Author:
  Ben

### Field Summary

### Fields inherited from class net.fortuna.ical4j.data.AbstractOutputter

`DEFAULT_CHARSET, foldLength`

### Constructor Summary

Constructors
Constructor and Description
`VCardOutputter()`
`VCardOutputter(boolean validating)`
`VCardOutputter(boolean validating, int foldLength)`

### Method Summary

Methods
`void` `output(VCard card, OutputStream out)` Outputs an iCalender string to the specified output stream.
`void` `output(VCard card, Writer out)` Outputs an iCalender string to the specified writer.

### Methods inherited from class net.fortuna.ical4j.data.AbstractOutputter

`isValidating, setValidating`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VCardOutputter

    public VCardOutputter()

#### VCardOutputter

    public VCardOutputter(boolean validating)

Parameters:
  `validating` - specifies whether to validate vCard objects prior to output

#### VCardOutputter

    public VCardOutputter(boolean validating,
                  int foldLength)

Parameters:
  `validating` - specifies whether to validate vCard objects prior to output
  `foldLength` - specifies the maximum line length

### Method Detail

#### output

    public final void output(VCard card,
              OutputStream out)
                      throws IOException,
                             net.fortuna.ical4j.model.ValidationException

Outputs an iCalender string to the specified output stream.

Parameters:
  `card` - a vCard object to output as a string
  `out` - an output stream the output stream to write the vCard string to
Throws:
  `IOException` - thrown when unable to write to output stream
  `net.fortuna.ical4j.model.ValidationException` - where the specified vCard is not valid

#### output

    public final void output(VCard card,
              Writer out)
                      throws IOException,
                             net.fortuna.ical4j.model.ValidationException

Outputs an iCalender string to the specified writer.

Parameters:
  `card` - a vCard object to output as a string
  `out` - a writer to write the output string to
Throws:
  `IOException` - thrown when unable to write to writer
  `net.fortuna.ical4j.model.ValidationException` - where the specified vCard is not valid